package probalign;

import java.awt.*;

import javax.swing.*;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

/**
 * <p>Title: save reminder</p>
 *
 * <p>Description: save reminder</p>
 *
 *
 * @author Satish Chikkagoudar
 * @version Beta 1.3
 */
public class reminder extends JDialog {
    public reminder(Frame owner, String title, boolean modal) {
        super(owner, title, modal);
        try {
            setDefaultCloseOperation(DISPOSE_ON_CLOSE);
            jbInit();
            pack();
        } catch (Exception exception) {
            exception.printStackTrace();
        }
    }

    public reminder() {
        this(new Frame(), "reminder", false);
    }

    private void jbInit() throws Exception {
        jButton1.setText("Discard");
        jButton1.addActionListener(new reminder_jButton1_actionAdapter(this));
        savebutton.setText("Save");
        savebutton.addActionListener(new reminder_savebutton_actionAdapter(this));
        alert.setFont(new java.awt.Font("Dialog", Font.PLAIN, 13));
        alert.setText("Do you want to save the alignment ?");
        jPanel1.add(component3);
        jPanel1.add(savebutton);
        jPanel1.add(jButton1);
        this.getContentPane().add(jPanel2, java.awt.BorderLayout.CENTER);
        jPanel2.add(alert);
        buttonGroup1.add(savebutton);
        buttonGroup1.add(jButton1);
        this.getContentPane().add(jPanel1, java.awt.BorderLayout.SOUTH);
    }

    JButton jButton1 = new JButton();
    JButton savebutton = new JButton();
    ButtonGroup buttonGroup1 = new ButtonGroup();
    Component component2 = Box.createGlue();
    JPanel jPanel1 = new JPanel();
    Component component3 = Box.createVerticalStrut(8);
    JPanel jPanel2 = new JPanel();
    JLabel alert = new JLabel();
    public void savebutton_actionPerformed(ActionEvent e) {
        System.setProperty("saveoption", "Y");
        dispose();
    }

    public void jButton1_actionPerformed(ActionEvent e) {
        System.setProperty("saveoption", "N");
        dispose();
    }
}


class reminder_jButton1_actionAdapter implements ActionListener {
    private reminder adaptee;
    reminder_jButton1_actionAdapter(reminder adaptee) {
        this.adaptee = adaptee;
    }

    public void actionPerformed(ActionEvent e) {
        adaptee.jButton1_actionPerformed(e);
    }
}


class reminder_savebutton_actionAdapter implements ActionListener {
    private reminder adaptee;
    reminder_savebutton_actionAdapter(reminder adaptee) {
        this.adaptee = adaptee;
    }

    public void actionPerformed(ActionEvent e) {
        adaptee.savebutton_actionPerformed(e);
    }
}
